## ros-eloquent-rclcpp-cascade-lifecycle 0.0.5

=== test/CMakeLists.txt ===
ament_add_gtest(rclcpp_cascade_lifecycle_test rclcpp_cascade_lifecycle_test.cpp)
ament_target_dependencies(rclcpp_cascade_lifecycle_test ${dependencies})
target_link_libraries(rclcpp_cascade_lifecycle_test ${PROJECT_NAME})

=== debian/changelog ===
ros-eloquent-rclcpp-cascade-lifecycle (0.0.5-1bionic) bionic; urgency=high

  * Fix shared_ptr ambiguous error
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-eloquent-rclcpp-cascade-lifecycle (0.0.4-1bionic) bionic; urgency=high



 -- fmrico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-eloquent-rclcpp-cascade-lifecycle (0.0.3-1bionic) bionic; urgency=high

  * Installing headers and libs
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add license
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Sat, 21 Mar 2020 23:00:00 -0000

ros-eloquent-rclcpp-cascade-lifecycle (0.0.2-1bionic) bionic; urgency=high

  * Adding CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Complete functional version
  * Nodes chained
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Thu, 12 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-eloquent-rclcpp-cascade-lifecycle
Section: misc
Priority: optional
Maintainer: fmrico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-cascade-lifecycle-msgs, ros-eloquent-lifecycle-msgs, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rclcpp-cascade-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-cascade-lifecycle-msgs, ros-eloquent-lifecycle-msgs, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Description: Provides a mechanism to make trees of lifecycle nodes to propagate state changes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rclcpp-cascade-lifecycle//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
